Skip to main content
GET
/
api
/
v1
/
school
/
class-patterns
/
{id}
Get by ID class pattern
curl --request GET \
  --url https://test-api.afrainity.com/api/v1/school/class-patterns/{id}/ \
  --header 'Authorization: Bearer <token>'
{
  "patterns": {
    "o_level": [
      {
        "id": 123,
        "name": "<string>"
      }
    ],
    "a_level": [
      {
        "id": 123,
        "name": "<string>"
      }
    ]
  },
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

A UUID string identifying this class patterns.

Response

200 - application/json

Auto-populate created_by from request.user when available.

patterns
object
required
id
string<uuid>
created_at
string<date-time>
updated_at
string<date-time>